XkbAddGeomKey(3)

NAME
XkbAddGeomKey - Add one key at the end of an existing row of keys

SYNOPSIS

XkbKeyPtr XkbAddGeomKey (XkbRowPtr row);

ARGUMENTS

row row to be updated

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements.

The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties.

Keys are grouped into rows. XkbAddGeomKey adds one key to the end of the specified row. The key is allocated and zeroed. XkbAddGeomKey returns NULL if row is empty or if it was not able to allocate space for the key. To allocate space for an arbitrary number of keys to a row, use XkbAllocGeomKeys.

STRUCTURES

    typedef struct _XkbKey {              /* key in a row */
        XkbKeyNameRec   name;             /* key name */
        short           gap;              /* gap in mm/10 from previous key in row */
        unsigned char   shape_ndx;        /* index of shape for key */
        unsigned char   color_ndx;        /* index of color for key body */
    } XkbKeyRec, *XkbKeyPtr;

SEE ALSO
XkbAllocGeomKeys(3)